<div class="form-wrapper">
  <h1>Register</h1>

  <form [formGroup]="form" (ngSubmit)="onSubmit()">
    <mat-form-field appearance="fill">
      <mat-label>Email</mat-label>
      <input type="email" matInput [formControl]="email">
      <mat-error *ngIf="email.hasError('email') && !email.hasError('required')">
        Please enter a valid email address
      </mat-error>
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>First name</mat-label>
      <input type="text" matInput [formControl]="firstName">
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>Last name</mat-label>
      <input type="text" matInput [formControl]="lastName">
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>Password</mat-label>
      <input type="password" matInput [formControl]="password">
    </mat-form-field>

    <div class="button-group">
      <button mat-raised-button color="primary" type="submit" [disabled]="form.invalid">Submit</button>
      <a routerLink="/login" mat-button>Back to login</a>
    </div>
  </form>
</div>
